[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| GridGraph< N, DirectedTag >::InDegMap Class Reference |

Type of a property map that returns the number of incoming edges of a given node (API: LEMON, use via `lemon::InDegMap<Graph>`). More...

`#include <vigra/multi_gridgraph.hxx>`

Inherited by InDegMap< vigra::GridGraph< N, DirectedTag > >.

## Public Types

typedef GridGraph | Graph
| The graph type of InDegMap (works for directed and undirected graphs)

## Public Member Functions

| InDegMap (const GridGraph &graph)
| Construct property map for the given graph.
Value | operator[] (const Key &key) const
| Get the in-degree of the node descriptor key.

## Detailed Description

### template<unsigned int N, class DirectedTag>
class vigra::GridGraph< N, DirectedTag >::InDegMap

Type of a property map that returns the number of incoming edges of a given node (API: LEMON, use via `lemon::InDegMap<Graph>`).

The documentation for this class was generated from the following file:

- vigra/multi_gridgraph.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.10.0